Subject: Re: [sipcore] #15: Section 7 item 5 is wrong

From: Mary Barnes <[email-masked]>
Date: Tue, 12 Oct 2010 17:39:35 -0500

Yep - see your point.

Going back to the basic point of the tags (and making them very
explicit), really the only entity that knows the original target for
certain is the UAC.  So, I wonder if we shouldn't add a unique tag for
that?  I think that's the only way to get it right.

Mary.

On Mon, Aug 30, 2010 at 2:20 PM, sipcore issue tracker
<[email-masked]> wrote:
> #15: Section 7 item 5 is wrong
> ------------------------------------+---------------------------------------
>  Reporter:  hkaplan@…               |       Owner:
>     Type:  defect                  |      Status:  new
>  Priority:  major                   |   Milestone:  milestone1
> Component:  rfc4244bis              |     Version:  2.0
>  Severity:  In WG Last Call         |    Keywords:
> ------------------------------------+---------------------------------------
>  Section 7 item 5 says:
>        5.  Entry with the index that matches the value of the first entry
>        with a "mp" hi-target parameter - i.e., the original target of
>        the request.
>
>  Nope.  The first "mp" tagged entry is the first of possibly multiple
>  diverted-to users, not the original.  The original target of the request
>  never gets the "mp" tag, afaict.
>
>  Unfortunately, determining the original target is not trivial.  It's not
>  simply the entry before the first "mp" tagged one, since that could be a
>  "rc" registered contact, for example.  It's also not necessarily the first
>  non-"rc" tagged entry before the first "mp" tagged one, because that entry
>  could just be a intermediate routing operation.  And that's a big problem
>  with H-I that I don't know how to solve.
>
> --
> Ticket URL: <http://trac.tools.ietf.org/wg/sipcore/trac/ticket/15>
> sipcore <http://tools.ietf.org/sipcore/>
>
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>